import dynamix_sdk.base as _base


class CloudapiVinsMigrateToZoneResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsMigrateToZoneProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_to_zone(
        self,
        *,
        vins_id: int,
        zone_id: int,
    ) -> CloudapiVinsMigrateToZoneResultBool:
        ...
